#version 150
#ifdef VERTEX_SHADER_SOURCE

uniform mat4 mvMat;
uniform mat4 projMat;

in vec3 inVertex;

void main(void)
{
	mat4 finalMatrix = projMat * mvMat;
	gl_Position = finalMatrix * vec4(inVertex, 1.0);
}
#endif

#ifdef FRAGMENT_SHADER_SOURCE
uniform vec2 screenSize;

uniform sampler2D texture0;//colors
uniform sampler2D texture1;//depthBuffer

out vec4 outColor;

void main(void)
{
	vec2 uv = gl_FragCoord.xy / screenSize;

	float depth = texture(texture1, uv).r;

	vec3 color;
	float radius = 0.0;
	float blurStart = 0.89;
	float blurEnd = 0.998;
	float scale = 200.0;

	color = texture(texture0, uv).rgb;

#if 0
	radius = (depth - blurEnd) * scale;
#else
	if(depth < blurStart)
	{
		radius = 0.0;
	}
	else
	{
		radius = (min(depth, blurEnd)-blurStart) * scale;
	}
#endif

	outColor = vec4(color, radius);
}
#endif
