#version 150
#ifdef VERTEX_SHADER_SOURCE

uniform mat4 mvMat;
uniform mat4 projMat;

in vec3 inVertex;

void main(void)
{
	mat4 finalMatrix = projMat * mvMat;
	gl_Position = finalMatrix * vec4(inVertex, 1.0);
}
#endif

#ifdef FRAGMENT_SHADER_SOURCE
uniform vec2 screenSize;

uniform sampler2D texture0;//colors
uniform sampler2D texture1;//blur

out vec4 outColor;

void main(void)
{
	vec2 uv = gl_FragCoord.xy / screenSize;

	vec4 color = texture(texture0, uv);
	vec3 blur = texture(texture1, uv).rgb;

	float normalizedRadius = color.a;// * 2.0 - 1.0;
	normalizedRadius = clamp(normalizedRadius * 2.0, -1.0, 1.0);

	outColor = vec4(mix(color.rgb, blur, abs(normalizedRadius)), 1.0);
}
#endif
