
struct PSInput
{
	float4 position : SV_POSITION;
};

Texture2D g_texture : register(t0);
SamplerState g_sampler : register(s0);

cbuffer cb0 : register(b0)
{
	float4x4 mvMat;
	float4x4 projMat;
	float2 screenSize;
};

PSInput VSMain(float3 position : POSITION)
{
	PSInput result;

	float4x4 finalMatrix = mul(projMat, mvMat);
	result.position = mul(finalMatrix, float4(position, 1.0));

	return result;
}

float4 PSMain(PSInput input) : SV_TARGET
{
	float2 uv = input.position.xy / screenSize;

	uv.y = 1.0 - uv.y;
	float4 color = g_texture.Sample(g_sampler, uv);

	if(color.a > 1.0)
		return float4(1.0, 0.0, 0.0, 2.0);
	else
		return float4(0.0, 0.0, 0.0, 0.0);
}
