#version 150
#ifdef VERTEX_SHADER_SOURCE

uniform mat4 mvMat;
uniform mat4 projMat;

in vec3 inVertex;

void main(void)
{
	mat4 finalMatrix = projMat * mvMat;
	gl_Position = finalMatrix * vec4(inVertex, 1.0);
}
#endif

#ifdef FRAGMENT_SHADER_SOURCE
uniform vec2 screenSize;

uniform sampler2D texture0;//colors
uniform sampler2D texture1;//blur

out vec4 outColor;

void main(void)
{
	vec2 uv = gl_FragCoord.xy / screenSize;

	vec4 color = texture(texture0, uv);
	vec4 blur = texture(texture1, uv);

	vec3 composite = color.rgb;
	if(color.a <= 1.0 && blur.a > 1.0)
		composite += blur.rgb * blur.a;
	//Tonemapping:
	float exposure = 2.0;
	composite = vec3(1.0) - exp(-composite * exposure);
	//End Tonemapping

	float gammaValue = 2.2;
	vec3 gamma = vec3(1.0/gammaValue);
	outColor = vec4(pow(composite, gamma), 1.0);
	//outColor = vec4(color.rgb, 1.0);
	//outColor = vec4(blur.rgb, 1.0);
}
#endif
