cbuffer ConstantBuffer : register(b0)
{
	float4x4 projMat;
};

SamplerState sampler0 : register(s0);
Texture2D texture0 : register(t0);

struct PSInput
{
	float4 pos : SV_POSITION;
	float4 col : COLOR0;
	float2 uv  : TEXCOORD0;
};

PSInput VSMain(float2 pos : POSITION, float2 uv  : TEXCOORD0, float4 col : COLOR0)
{
	PSInput output;
	output.pos = mul(projMat, float4(pos, 0.0f, 1.0f));
	output.col = col;
	output.uv  = uv;
	return output;
}

float4 PSMain(PSInput input) : SV_TARGET
{
	float4 texel = texture0.Sample(sampler0, input.uv);
	float4 out_col = input.col * float4(texel);
	return out_col;
}
