struct PSInput
{
	float4 position : SV_POSITION;
};

cbuffer cb0 : register(b0)
{
	float4x4 mvMat;
	float4x4 projMat;
};

PSInput VSMain(float3 position : POSITION, float2 uv : TEXCOORD, float3 color : COLOR, float3 normal: NORMAL)
{
	PSInput result;

	float4x4 finalMatrix = mul(projMat, mvMat);
	result.position = mul(finalMatrix, float4(position, 1.0));

	return result;
}

float PSMain(PSInput input) : SV_TARGET
{
	return input.position.z;
}
